package com.zjrs.zwnw.jbxxgl.dto;

import jakarta.validation.constraints.NotBlank;

public class GrxxDTO {
    private String ztid;

    public String getZtid() {
        return ztid;
    }

    public void setZtid(String ztid) {
        this.ztid = ztid;
    }

    @NotBlank(message = "身份证件类型必录")
    private String aac058;//身份证件类型
    @NotBlank(message = "身份证件号码必录")
    private String aac147;//身份证件号码
    private String aac161;//国籍
    private String aac002;//社会保障号码
    @NotBlank(message = "姓名必录")
    private String aac003;//姓名
    private String aac005;//民族
    private String aac004;//性别
    private Long aac006;//出生日期
    private Long aac007;//参加工作日期
    private String aac012;//人员身份类别
    private String aac009;//户口性质
    private String aac024;//政治面貌
    private String aac017;//婚姻状况
    private String aac011;//最高学历〔文化程度）
    private Long aae138;//失踪/死亡日期
    private Long bac084;//入户日期
    private String aac043;//监护人证件类型
    private String aac042;//监护人姓名
    private String aac044;//监护人证件号码
    private String aac300;//户籍地址(行政区划代码）
    private String aac010;//户籍地址（描述）
    private String aac301;//常往地址〔行政区划代码）
    private String aae006;//常住地址（描述）
    private String aae007;//常住地邮政编码
    private String aae005;//联系电话
    private String aac067;//手机号码

    public String getAac058() {
        return aac058;
    }

    public void setAac058(String aac058) {
        this.aac058 = aac058;
    }

    public String getAac147() {
        return aac147;
    }

    public void setAac147(String aac147) {
        this.aac147 = aac147;
    }

    public String getAac161() {
        return aac161;
    }

    public void setAac161(String aac161) {
        this.aac161 = aac161;
    }

    public String getAac002() {
        return aac002;
    }

    public void setAac002(String aac002) {
        this.aac002 = aac002;
    }

    public String getAac003() {
        return aac003;
    }

    public void setAac003(String aac003) {
        this.aac003 = aac003;
    }

    public String getAac005() {
        return aac005;
    }

    public void setAac005(String aac005) {
        this.aac005 = aac005;
    }

    public String getAac004() {
        return aac004;
    }

    public void setAac004(String aac004) {
        this.aac004 = aac004;
    }

    public Long getAac006() {
        return aac006;
    }

    public void setAac006(Long aac006) {
        this.aac006 = aac006;
    }

    public Long getAac007() {
        return aac007;
    }

    public void setAac007(Long aac007) {
        this.aac007 = aac007;
    }

    public String getAac012() {
        return aac012;
    }

    public void setAac012(String aac012) {
        this.aac012 = aac012;
    }

    public String getAac009() {
        return aac009;
    }

    public void setAac009(String aac009) {
        this.aac009 = aac009;
    }

    public String getAac024() {
        return aac024;
    }

    public void setAac024(String aac024) {
        this.aac024 = aac024;
    }

    public String getAac017() {
        return aac017;
    }

    public void setAac017(String aac017) {
        this.aac017 = aac017;
    }

    public String getAac011() {
        return aac011;
    }

    public void setAac011(String aac011) {
        this.aac011 = aac011;
    }

    public Long getAae138() {
        return aae138;
    }

    public void setAae138(Long aae138) {
        this.aae138 = aae138;
    }

    public Long getBac084() {
        return bac084;
    }

    public void setBac084(Long bac084) {
        this.bac084 = bac084;
    }

    public String getAac043() {
        return aac043;
    }

    public void setAac043(String aac043) {
        this.aac043 = aac043;
    }

    public String getAac042() {
        return aac042;
    }

    public void setAac042(String aac042) {
        this.aac042 = aac042;
    }

    public String getAac044() {
        return aac044;
    }

    public void setAac044(String aac044) {
        this.aac044 = aac044;
    }

    public String getAac300() {
        return aac300;
    }

    public void setAac300(String aac300) {
        this.aac300 = aac300;
    }

    public String getAac010() {
        return aac010;
    }

    public void setAac010(String aac010) {
        this.aac010 = aac010;
    }

    public String getAac301() {
        return aac301;
    }

    public void setAac301(String aac301) {
        this.aac301 = aac301;
    }

    public String getAae006() {
        return aae006;
    }

    public void setAae006(String aae006) {
        this.aae006 = aae006;
    }

    public String getAae007() {
        return aae007;
    }

    public void setAae007(String aae007) {
        this.aae007 = aae007;
    }

    public String getAae005() {
        return aae005;
    }

    public void setAae005(String aae005) {
        this.aae005 = aae005;
    }

    public String getAac067() {
        return aac067;
    }

    public void setAac067(String aac067) {
        this.aac067 = aac067;
    }
}
